import request from '@/utils/system/request'


// 根据当前时间生成唯一UUID用于本次登录验证码
export function getCaptchaImg(params) {
    return request({
        url: '/yt-oauth/oauth/captcha.jpg',
        method: 'get',
        responseType: 'blob',
        params
    })
}


// 登录 使用 x-www-form-urlencoded
export function login(parameter) {
    return request({
        url: '/yt-oauth/oauth/token',
        method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
            'Authorization': 'Basic eXQtcGxhdGZvcm06eXQtc2VjcmV0LTIwMjU='
        },
        data: toFormUrlEncoded(parameter)
    })
}

// 退出登录
export function logout(data) {
    return request({
        url: '/yt-oauth/oauth/logout',
        method: 'post',
        data
    })
}

// 获取当前登录用户
export function getUserInfo() {
    return request({
        url: '/agent-service/ytUser/curUser',
        method: 'get',
    })
}

// 自定义序列化函数 转成 x-www-form-urlencoded 格式
function toFormUrlEncoded(obj) {
    return Object.keys(obj)
        .map(key => encodeURIComponent(key) + '=' + encodeURIComponent(obj[key]))
        .join('&');
}

